package com.guadou.cs_router

import com.alibaba.android.arouter.launcher.ARouter
import com.guadou.cs_router.app.IAppComponentServer
import com.guadou.cs_router.auth.IAuthComponentServer
import com.guadou.cs_router.ewallet.IEWalletComponentServer
import com.guadou.cs_router.main.IMainComponentServer
import com.guadou.cs_router.parttime.IParttimeComponentServer
import com.guadou.cs_router.rewards.IRewardsComponentServer
import com.guadou.cs_router.service.IServiceComponentServer


object YYRouterService {

    var appComponentServer: IAppComponentServer? = ARouter.getInstance().navigation(IAppComponentServer::class.java)

    var authComponentServer: IAuthComponentServer? = ARouter.getInstance().navigation(IAuthComponentServer::class.java)

    var mainComponentServer: IMainComponentServer? = ARouter.getInstance().navigation(IMainComponentServer::class.java)

    var parttimeComponentServer: IParttimeComponentServer? = ARouter.getInstance().navigation(IParttimeComponentServer::class.java)

    var eWalletComponentServer: IEWalletComponentServer? = ARouter.getInstance().navigation(IEWalletComponentServer::class.java)

    var rewardsComponentServer: IRewardsComponentServer? = ARouter.getInstance().navigation(IRewardsComponentServer::class.java)

    var serviceComponentServer: IServiceComponentServer? = ARouter.getInstance().navigation(IServiceComponentServer::class.java)

}
